This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 432340 - python scripts don't work (with pyuno installed)
python scripts don't work (with pyuno installed)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 08:28 EST by Bryan Cole
Modified: 2008-02-15 04:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 04:56:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Cole 2008-02-11 08:28:15 EST
Description of problem:

python scripts for openofice don't work in-process i.e. The default python
scripts included with the pyuno package do not appear in the OOo python
macros list. Any 


Version-Release number of selected component (if applicable):
2.3.0

How reproducible:

always

Steps to Reproduce:

0. Install OpenOffice + Pyuno package
1. Open a writer document.
2. Select Tools->Macros->Organise Macros->Python...
3. Browse list to check if any python macros are available.
  
Actual results:

No python macros are listed at all. I have pyuno installed.

Expected results:

There *should* be at least the default macros listed: "helloWorlPython",
"capitalisePython" etc. I've verified these files are on my system.

Additional info:

Note, the pyuno python package can be used out-of-process. This works fine
(communication happens with OOo via a socket). However, calling python from
in-process using the OOo GUI is broken.

Pyuno works fine using the vanilla OOo-2.3.1 from the openoffice.org site. This
problem is specific to the Fedora build.
Comment 1 Caolan McNamara 2008-02-13 05:08:41 EST
I have no such problem here on F8. With openoffice.org-pyuno-2.3.0-6.11.fc8 I
have tools->macros->organize macros->python->openoffice.org Macros with
Capitalise, HelloWorld and TableSample visible, expanding HelloWorld gives
HelloWorldPython and run gives the expected output of "Hello World (in Python)"
in writer

openoffice.org-pyuno-2.3.0-6.11.fc8
python-2.5.1-15.fc8
Comment 2 Caolan McNamara 2008-02-15 04:56:10 EST
Not reproducible for me

Note You need to log in before you can comment on or make changes to this bug.